
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《MATLAB/Simulink系统仿真超级学习手册》——2.2 MATLAB语言基本元素 / iVAN</title>

    <meta name="description" content="《MATLAB/Simulink系统仿真超级学习手册》——2.2 MATLAB语言基本元素 2.2 MATLAB语言基本元素 MATLAB/Simulink系统仿真超级学习手册 MATLAB语言提供了丰富的数据类型,如实数.复数.向量.矩阵.字符串.多维数组.结构体.类和对象等,还提供了丰富的内置功能函数.这些功能使得MATLAB的编程功能非常强大.本节介绍变量和矩阵这两种最基本且常用的数据类型以及赋值语句的基本形式. 2.2.1 变量 变量是保存数据信息的一种最基本的数据类型.变量的命名应遵循如下规则: (1)变量名必须以字母开头: (2)变量名可以由字母.数字和下划线混合组成: (">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《MATLAB/Simulink系统仿真超级学习手册》——2.2 MATLAB语言基本元素</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>2.2 MATLAB语言基本元素</h3>
<p>MATLAB/Simulink系统仿真超级学习手册<br />
MATLAB语言提供了丰富的数据类型，如实数、复数、向量、矩阵、字符串、多维数组、结构体、类和对象等，还提供了丰富的内置功能函数。这些功能使得MATLAB的编程功能非常强大。本节介绍变量和矩阵这两种最基本且常用的数据类型以及赋值语句的基本形式。</p>
<p><strong>2.2.1 变量</strong><br />
变量是保存数据信息的一种最基本的数据类型。变量的命名应遵循如下规则：</p>
<p>（1）变量名必须以字母开头；</p>
<p>（2）变量名可以由字母、数字和下划线混合组成；</p>
<p>（3）变量名区分字母大小写；</p>
<p>（4）MATLAB保留了一些具有特定意义的默认变量，读者编程时可以直接使用，并尽量避免另外自定义，表2-4为MATLAB的系统保留变量。<br /><a href="https://yqfile.alicdn.com/a51032ec054181224de0b8cacd64456d992e915e.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2E1MTAzMmVjMDU0MTgxMjI0ZGUwYjhjYWNkNjQ0NTZkOTkyZTkxNWUucG5n.jpg"></a></p>
<p>注意：A和a表示的是不同的变量，读者编程时必须注意。</p>
<p><strong>2.2.2 赋值语句</strong><br />
MATLAB采用命令行形式的表达式语言，每一个命令行就是一条语句，其格式与书写的数学表达式十分相近，非常容易掌握。读者在命令窗口输入语句并按回车键确认后，该语句就由MATLAB系统解释运行，并给出运行结果。MATLAB的赋值语句有下面两种结构。</p>
<p>1．直接赋值语句<br />
直接赋值语句的基本机构如下：</p>
<p>赋值变量=赋值表达式</p>
<p>其中，等号右边的表达式由变量名、常数、函数和运算符构成，直接赋值语句把右边表达式的值直接赋给了左边的赋值变量，并将返回值显示在MATLAB的命令窗口中。</p>
<p>【例2-6】对a赋值，实现a=100+99。</p>
<p>在MATLAB命令窗口中输入下面语句并按回车键确认。</p>
<pre><code>&gt;&gt; a=100+99

</code></pre>
<p>运行结果如下：</p>
<pre><code>a =
   199

</code></pre>
<p>注意：</p>
<p>（1）若赋值语句后面没有分号“；”，MATLAB命令窗口中将显示表达式的运算结果；若不想显示运算结果，则应该在赋值语句末尾加上分号；</p>
<p>（2）若省略赋值语句左边的赋值变量和等号，则表达式运算结果将默认赋值给系统保留变量ans；</p>
<p>（3）若等式右边的赋值表达式不是数值，而是字符串，则字符串两边应加单引号。</p>
<p>2．函数调用语句<br />
直接赋值语句的基本结构如下：</p>
<p>[返回变量列表]=函数名(输入变量列表)</p>
<p>其中，等号右边的函数名对应于一个存放在合适路径中的MATLAB文本文件。函数可以分为两大类：一类是MATLAB内核中已经存在的内置函数；另一类是读者根据需要自定义的函数。</p>
<p>返回变量列表和输入变量列表均可以由若干变量名组成。</p>
<p>注意：</p>
<p>若返回变量个数大于 1，则它们之间应该用逗号或空格分隔；若输入变量个数大于1，则它们之间只能用逗号分隔。<br /><a href="https://yqfile.alicdn.com/0c12dd119191e21a346a95e44814bfa713edc4f4.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzBjMTJkZDExOTE5MWUyMWEzNDZhOTVlNDQ4MTRiZmE3MTNlZGM0ZjQucG5n.jpg"></a></p>
<p>在MATLAB命令窗口中输入下面语句并按回车键确认。</p>
<pre><code>&gt;&gt; a=sin(pi/2)

</code></pre>
<p>运行结果如下：</p>
<pre><code>a =
　　1

</code></pre>
<p>注意：</p>
<p>（1）函数名的命名规则与变量名命名规则一致，读者在命名自定义函数时也必须避免与MATLAB已有的内置函数重名；</p>
<p>（2）对于内置函数，读者可直接调用；对于自定义函数，该函数所对应的M文件应当存在并且保存在MATLAB可以搜索到的目录中。</p>
<p><strong>2.2.3 矩阵及其元素表示</strong><br />
MATLAB的中文意思是“矩阵实验室”，矩阵是MATLAB进行数据处理的基本变量单元。因此，掌握矩阵的表示方法是进行MATLAB编程和应用的基础。</p>
<p>1．矩阵的表示<br />
用MATLAB语言表示一个矩阵非常容易。在MATLAB命令窗口中输入下面语句并按回车键确认。</p>
<pre><code>&gt;&gt; A=[1,2;3,4]

</code></pre>
<p>运行结果如下：</p>
<pre><code>A =
　　 1　　 2
　　 3　　 4

</code></pre>
<p>可见矩阵变量A被成功赋值，并在MATLAB的工作空间中建立一个名为A的矩阵变量，读者可以在后继的命令和函数中随意调用该矩阵。在输入矩阵过程中必须遵循以下规则：</p>
<p>（1）必须使用方括号“[]”包括矩阵的所有元素；</p>
<p>（2）矩阵不同的行之间必须用分号或回车符隔开；</p>
<p>（3）矩阵同一行的各元素之间必须用逗号或空格隔开。</p>
<p>为方便用户使用，提高编程效率，除了最基本的直接输入方法外，MATLAB还提供给用户一些可以直接调用的内置基本矩阵函数，有时可以成为创建矩阵的捷径。</p>
<p>表2-5为MATLAB提供的主要内置基本矩阵函数。<br /><a href="https://yqfile.alicdn.com/52dc542c00b5d7e286d7f85baec39a850a041bd2.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzUyZGM1NDJjMDBiNWQ3ZTI4NmQ3Zjg1YmFlYzM5YTg1MGEwNDFiZDIucG5n.jpg"></a></p>
<p>【例2-8】调用rand函数创建一个3行4列的随机矩阵。</p>
<p>在MATLAB命令窗口中输入下面语句并按回车键确认。</p>
<pre><code>&gt;&gt; A=rand(3,4)

</code></pre>
<p>运行结果如下：</p>
<pre><code>A =
　　0.3112　　0.6020　　0.6892　　0.0838
　　0.5285　　0.2630　　0.7482　　0.2290
　　0.1656　　0.6541　　0.4505　　0.9133

</code></pre>
<p>注意：向量是矩阵的一种特例，前面介绍的有关矩阵的表示方法完全适用于向量，只是表示矩阵行列数的n和m中，有一个为1。</p>
<p>【例2-9】输入一个行向量a=[1,2,3]和一个列向量b=[1;2;3]。</p>
<p>在MATLAB命令窗口中输入下面语句并按回车键确认。</p>
<pre><code>&gt;&gt; a=[1,2,3]
b=[1;2;3]

</code></pre>
<p>运行结果如下：</p>
<pre><code>a =
　　 　　1　　 2　　 3
b =
　　 1
　　 2
　　 3

</code></pre>
<p>MATLAB还提供了一个便利且高效的表达式来给等步长的行向量赋值，即冒号表达式。冒号表达式的基本调用格式为：</p>
<pre><code>V=s:h:e

</code></pre>
<p>其中，s、e为标量，分别代表向量的起始值和终止值，h代表向量元素之间的步长值。</p>
<p>【例2-10】输入冒号表达式V=0:0.1:0.5。</p>
<p>在MATLAB命令窗口中输入下面语句并按回车键确认。</p>
<pre><code>&gt;&gt; V=0:0.1:0.5

</code></pre>
<p>运行结果如下：</p>
<pre><code>V =
　　0　　0.1000　　0.2000　　0.3000　　0.4000　　0.5000

</code></pre>
<p>2．矩阵元素的表示和赋值<br />
矩阵元素的行号和列号称为该元素的下标，是通过“()”中的数字（行、列的标号）来标识的。矩阵元素可以通过其下标来引用，如A(i,j)表示矩阵A第i行第j列的元素。</p>
<p>【例2-11】取矩阵A=[1,2;3,4]第2行全部元素。</p>
<p>在MATLAB命令窗口中输入下面语句并按回车键确认。</p>
<pre><code>&gt;&gt; A=[1,2;3,4];B=[A(2,1),A(2,2)]

</code></pre>
<p>运行结果如下：</p>
<pre><code>B =
　　 3　　 4

</code></pre>
<p>注意：冒号“：”在这里也能发挥很大作用。A(2,:)表示矩阵A第2行全部元素，A(:,2)表示矩阵A第2列全部元素，A(1,1:2)表示矩阵A第1行第1～2列的全部元素。在MATLAB命令窗口中输入下面语句并按回车键确认。</p>
<pre><code>&gt;&gt; A=[1,2;3,4];
B1=A(2,:)
B2=A(:,2)
B3=A(1,1:2)

</code></pre>
<p>运行结果如下：</p>
<pre><code>B1 =
　　 3　　 4
B2 =
　　 2
　　 4
B3 =
　　 1　　 2
</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-06 16:39:36</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%b1%bb%e5%9e%8b/" title="数据类型">数据类型</a>, <a href="https://www.iamivan.net/tag/%e7%a9%ba%e6%a0%bc/" title="空格">空格</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a8%8b/" title="编程">编程</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e8%be%be%e5%bc%8f/" title="表达式">表达式</a>, <a href="https://www.iamivan.net/tag/screenshot/" title="ScreenShot">ScreenShot</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《MATLAB/Simulink系统仿真超级学习手册》——2.2 MATLAB语言基本元素的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Q217p.html" rel="bookmark">《MATLAB&sol;Simulink系统仿真超级学习手册》&mdash;&mdash;2&period;7 MATLAB编程实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.7 MATLAB编程实例 MATLAB/Simulink系统仿真超级学习手册 MATLAB强大的运算功能和图形功能,是实现各领域的编程仿真的有力工具.本节将综合本章所讲的内容介绍MATLAB的一些编程实例,使读者对MATLAB语言的应用有一些基本的了解. 2.7.1 汉诺塔问题 Hanoi(汉诺)塔问题,是一个古典的数学问题,是一个用递归方法解题的典型例子.问题是这样的:古代有一个梵塔,塔内有3个座A.B.C,开始时A座上有n个盘子,盘子大小不等,大的在上,小的在下如图2-35所示. 现在,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQr7aOM.html" rel="bookmark">《MATLAB&sol;Simulink系统仿真超级学习手册》&mdash;&mdash;1&period;2 MATLAB简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 MATLAB简介 MATLAB/Simulink系统仿真超级学习手册 MATLAB是MATRIX LABORATORY的简称,它是美国MathWorks公司出品的商业数学软件,用于算法开发.数据可视化.数据分析以及数值计算的高级技术计算语言和交互式环境,主要包括MATLAB和Simulink两大部分. 1.2.1 MATLAB发展史 20世纪70年代,美国新墨西哥大学计算机科学系主任Cleve Moler为了减轻学生编程的负担,用FORTRAN编写了最早的MATLAB. 1．正式走向市场			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKYQgWp.html" rel="bookmark">《MATLAB&sol;Simulink系统仿真超级学习手册》&mdash;&mdash;2&period;3 MATLAB下矩阵的运算</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3 MATLAB下矩阵的运算 MATLAB/Simulink系统仿真超级学习手册 矩阵运算是MATLAB最重要的运算,因为MATLAB的运算大部分都建立在矩阵运算的基础之上.MATLAB有三种矩阵运算类型:矩阵的代数运算.矩阵的关系运算和矩阵的逻辑运算.其中,矩阵的代数运算应用最广泛. 根据不同的应用目的,矩阵的代数运算又包含两种重要的运算形式:按矩阵整体进行运算,按矩阵单个元素进行运算的元素群运算. 2.3.1 矩阵的代数运算 1．矩阵的算术运算 矩阵算术运算的书写格式与普通算术运算相同,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL7mvkM.html" rel="bookmark">《MATLAB&sol;Simulink系统仿真超级学习手册》&mdash;&mdash;第2章 MATLAB编程基础 2&period;1 MATLAB工作环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2章 MATLAB编程基础 本书使用的MATLAB版本为MATLAB R.本章将较全面地介绍MATLAB正常运行的基本流程以及编程基础与技巧,帮助读者在领略MATLAB非凡能力的同时比较轻松地跨过MATLAB门槛,为后面学习MATLAB工具箱Simulink打下坚实的基础. 2.1 MATLAB工作环境 MATLAB/Simulink系统仿真超级学习手册 MATLAB提供了全新的工作环境,了解并熟悉该环境是使用MATLAB的基础.下面将介绍MATLAB主界面(包括工具栏.命令窗口等).文本编辑			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDeWZrb.html" rel="bookmark">《MATLAB&sol;Simulink系统仿真超级学习手册》&mdash;&mdash;1&period;3 MATLAB&sol;Simulink应用示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 MATLAB/Simulink应用示例 MATLAB/Simulink系统仿真超级学习手册 本节将介绍几个例子来展示MATLAB/Simulink在系统仿真中的应用,希望读者通过这些例子对MATLB/Simulink有一个初步的认识. [例1-1]微分方程求解.一个非线性刚体系统可用如下方程进行描述: 试求出在初始条件y 1(0)=0.y 2(0)=1.y 3(0)=1下系统的解. 编写如下MATLAB程序: function ep1_1 options = odeset('RelTol			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAA7g2M.html" rel="bookmark">《MATLAB&sol;Simulink系统仿真超级学习手册》&mdash;&mdash;2&period;5 文件的编写</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.5 文件的编写 MATLAB/Simulink系统仿真超级学习手册 M文件可分为脚本M文件(简称脚本文件)和函数M文件(简称函数文件)两大类,其特点和适用领域均不同. 2.5.1 脚本文件 脚本文件是由MATLAB语句构成的文本文件,以.m为扩展名.运行命令文件的效果等价于从MATLAB命令窗口中按顺序逐条输入并运行文件中的指令,类似于DOS下的批处理文件. 脚本文件运行过程所产生的变量保留在MATLAB的工作空间中,脚本文件也可以访问MATLAB当前工作空间的变量,其他脚本文件和函数可以共			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdREg6b.html" rel="bookmark">《MATLAB&sol;Simulink系统仿真超级学习手册》&mdash;&mdash;2&period;8 本章小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.8 本章小结 MATLAB/Simulink系统仿真超级学习手册 本章主要介绍了MATLAB的编程基础,为后面学习Simulink做准备.首先是MATLAB的工作环境,通过对MATLAB主界面.文本编辑器以及帮助文档的介绍,读者可以了解今后是在怎样一个平台上进行编程.仿真工作. 其次,MATLAB语言也是需要读者掌握的,如MATLAB的矩阵.程序流程控制等,都是十分重要的.MATLAB是矩阵实验室的意思,所以矩阵的运算在MATLAB语言中有着举足轻重的地位.M文件是读者施展编程才能的地方.利			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE46P6z.html" rel="bookmark">《MATLAB&sol;Simulink系统仿真超级学习手册》&mdash;&mdash;2&period;4 MATLAB的程序流程控制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.4 MATLAB的程序流程控制 MATLAB/Simulink系统仿真超级学习手册 作为一种程序设计语言,MATLAB同一般高级程序语言一样,为用户提供了丰富的程序结构语言来实现用户对程序流程的控制. MATLAB的程序路程控制主要包括循环控制和条件选择控制. 2.4.1 循环控制结构 1．for循环结构 for循环结构的格式为 for 循环变量=向量表达式 循环体语句组 end 该循环结构的执行方式为:从向量表达式的第一列开始,依次将向量表达式各列的值赋值给循环变量,然后执行循环体语句组中			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z43Ke1p.html" rel="bookmark">《MATLAB&sol;Simulink系统仿真超级学习手册》&mdash;&mdash;2&period;6 MATLAB的图形绘制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.6 MATLAB的图形绘制 MATLAB/Simulink系统仿真超级学习手册MATLAB除了强大的数值分析功能外,还具有方便的绘图功能.利用MATLAB丰富的二维.三维图形函数和多种修饰方法,只要指定绘图方式并提供绘图数据,就可以绘制出理想的图形.由于MATLAB的图形系统是建立在诸如线.面等图形对象的集合基础之上,因此用户可以对任何一个图形元素进行单独的修改,而不影响图形的其他部分. 2.6.1 二维图形的绘制1．基本绘图命名MATLAB中最常用的绘图函数为plot(),它是用于绘制二维			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaB8JM.html" rel="bookmark" class="title">asterisk-请问  还有其他切换到device and user的方法么？</a>
					<div>
						问题描述 请问 还有其他切换到device and user的方法么? 我想实现你的第一种情况,是不是也需要在device and user模式下才能实现? 但是按照你说的这种办法没发切换到devic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlxRRM.html" rel="bookmark" class="title">chr&lpar;9&rpar;、chr&lpar;10&rpar;&period;&period;&period;这些代码所代表的</a>
					<div>
						chr(13) 是一个回车Chr(10) 是个换行符chr(32) 是一个空格符9\34 是tab,未确定? chr(13) 是一个回车Chr(10) 是个换行符chr(32) 是一个空格符9\34  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgZN8b.html" rel="bookmark" class="title">通过CSS让网页中的鼠标指针一直都是手形</a>
					<div>
						如何让网页中的鼠标指针一直都是手形呢?很简单,在网页body上方加入如下的CSS代码就OK了,试试吧. &lt;style type=&quot;text/css&quot;&gt;&lt;!--bo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNVGmM.html" rel="bookmark" class="title">网站推广宣传完全攻略实例版</a>
					<div>
						攻略|推广|网站推广 你有个人主页吗?(如果没有就不要往下看哈,这篇文章只适于站长看,想当站长先到我这里买域名和空间,价格实在.QQ:393324619,哈哈~广告完毕^_^)你是不是每天都在辛苦地为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeYn7z.html" rel="bookmark" class="title">如何分析并策划好一个网站呢？</a>
					<div>
						其实许多朋友和会员都对财客在线提出了许多的建议和意见,许多建议真的很不错,今天笔者也好好的从一个专业的网站策划师的角度去分析和评价财客在线的优点和缺点.假如各位朋友觉得我说的有道理的话,有网站的朋友都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0K37b.html" rel="bookmark" class="title">2012是SEO优化外链的终结 还是新的开始</a>
					<div>
						关于搜索引擎调整算法之后,我们做外链是否还有效果,网奇SEO培训相信这个问题你众多SEO优化人员所关心的问题,知道现在很多SEO优化的个朋友都说做外链没有多少作用了,但是真正事实上面的结果是这样吗?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxdDKb.html" rel="bookmark" class="title">演示PPT文档时常出现的问题与解决</a>
					<div>
						        Powerpoint作为一款常用的文档演示软件,人们都希望能将自己努力做完的文档,以最好的效果演示出来.下面介绍几个在演示PPT文档时,最容易碰到的问题及相对的解决方法. 1.解除鼠标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPlQOz.html" rel="bookmark" class="title">Excel错误公式&OpenCurlyDoubleQuote;&num;N&sol;A&rdquo;处理方法</a>
					<div>
						原因:当在函数或公式中没有可用数值时,将产生错误值#N/A. 解决方法:如果工作表中某些单元格暂时没有数值,请在这些单元格中输入&quot;#N/A&quot;,公式在引用这些单元格时,将不进行数值计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB2mnz.html" rel="bookmark" class="title">php Imagick获取图片RGB颜色值</a>
					<div>
						  根据用户上传的图片检索出图片的主要颜色值,再根据颜色搜索相关的图片,使用Imagick的quantizeImage方法能够很方便的取到图片中平均的RGB值 很多图片站点都会根据用户上传的图片检索出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZqnwz.html" rel="bookmark" class="title">Win8如何释放磁盘空间的2个办法</a>
					<div>
						Win8进行磁盘管理释放磁盘空间的方法如下: 方法一: 1.在需要清理的磁盘盘符下选择右键属性,选择常规中的磁盘清理. 2.选择要清理的内容后,点击&quot;确定&quot;即可. 3.提示是否删除 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oXPWb.html" rel="bookmark" class="title">Win7系统下VPN连接错误711的解决方法</a>
					<div>
						  Win7系统下VPN连接错误711的解决方法,具体解决的方法步骤如下所示: 问题描述: 系统是Windows 7 64位旗舰版,之前没有使用任何优化工具优化系统,但总是无法启动VPN,提示&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6Wq2b.html" rel="bookmark" class="title">Win7系统打不开Aero特效怎么办？</a>
					<div>
						  开启不了Aero特效,你可以依据以下方法lauren解决这个问题. 第一,确定你的系统版本是否是家庭普通版以上的系统,家庭普通版即以下的系统版本均不支持Aero特效. 第二,让系统自己修复问题,方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo79lEb.html" rel="bookmark" class="title">360壁纸在哪个文件夹</a>
					<div>
						  1.点击进入某张壁纸的大图界面后,点击&quot;保存&quot;按钮,壁纸的保存路径可以自由的设置,我们可以自由地设置壁纸保存在哪里!关键的问题是,直接设为壁纸的壁纸图片保存到那里了. 2.点击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNgaKM.html" rel="bookmark" class="title">教你备份ADSL账号密码</a>
					<div>
						  Dialupass相信大家都知道,是读取ADSL账号和密码的软件.它读的是本地哪个文件呢,就是这个文件夹C:Documents and SettingsAll UsersApplication D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaQO3M.html" rel="bookmark" class="title">强制系统登录前按【Ctrl&plus;Alt&plus;Delete】组合键</a>
					<div>
						  如果开启这个设置,会要求用户在登录Windows前按[Ctrl+Alt+Delete]组合键. 如果想省去这个麻烦,可以运行注册表编辑器,打开HKEY_LOCAL_MACHINESoftwareM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGWk1p.html" rel="bookmark" class="title">U盘分区的简便方法</a>
					<div>
						  把U盘分区,相信大家都知道一二了,但要告诉大家的这个方法却不为人所熟悉的.不相信?我们来看看吧. 一般U盘在我们的电脑中,显示的是可移动的存储.我们现在就是要把它改成&quot;本地磁盘&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rrJxp.html" rel="bookmark" class="title">Oracle 释放flash recovery area的四种方法</a>
					<div>
						早上收到一台Linux服务器磁盘告警邮件以及监控告警日志程序发来的邮件.检查过后,发现Linux服务器中一个分区没有空间了.主要原因是由于昨晚程序员做升级时,产生了大量的归档日志,导致联机重做日志无法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd16vb.html" rel="bookmark" class="title">ext window-求助Ext window二次打开问题</a>
					<div>
						问题描述 求助Ext window二次打开问题 在grid列表通过Ext.create('App.good.GoodRecommend').show()打开window,第一次都是正常的,第二次打开就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK48Yb.html" rel="bookmark" class="title">C&num;操作XML的方法</a>
					<div>
						C# XML XmlDocument地址:http://www.cnblogs.com/txw1958/archive/2013/01/16/csharp-xml.html   添加命名空间: usi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgY64b.html" rel="bookmark" class="title">AlphaGo与李世石首场比赛结束，AlphaGo获胜。针对这场人机围棋大战，你怎么看？</a>
					<div>
						对战双方 AlphaGo AlphaGo是谷歌旗下DeepMind公司开发的一款围棋人工智能程序,2015年10月阿尔法围棋以5:0完胜欧洲围棋冠军.职业二段选手樊麾.李世石 李世石1995年入段,2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYJkap.html" rel="bookmark" class="title">把ChinaJoy场馆握在手中 高德地图室内地图体验</a>
					<div>
						近日,全球数码互动娱乐领域最具影响力的盛会--2016 ChinaJoy在上海新国际博览中心盛大开幕.作为中国游戏动漫第一展,每年的CJ展会上,各路厂商都使出浑身解数,准备了一系列精彩活动及神秘嘉宾助 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR4Qkp.html" rel="bookmark" class="title">cxf-CXF工程 RuntimeModelBuilder报错</a>
					<div>
						问题描述 CXF工程 RuntimeModelBuilder报错 1.我的JDK版本是1.7 2.我的CXF是在官网下载的,我把全部的jar包都加进去了 3.代码 package demo.hw.se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvnvy9M.html" rel="bookmark" class="title">四川雅安地震影响手机通讯 运营商加快抢修</a>
					<div>
						硅谷网讯 4月20日消息,受到今日早间7．0级地震的影响,四川雅安市附近网友在微博反映称,手机通讯受到影响.腾讯科技http://www.aliyun.com/zixun/aggregation/21 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLNADM.html" rel="bookmark" class="title">《Groovy官方文档》1&period;2安装Groovy</a>
					<div>
						原文地址  译文地址  译者:jackwang 1 下载 在本模块中(本模块指Groovy官网Download模块),你可以下载Groovy的发布版本(源码和二进制安装包),Windows安装包(只有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1ryrb.html" rel="bookmark" class="title">如何彻底清除COM组件？</a>
					<div>
						问题描述 我用Process.Kill()杀掉一个程序,这个程序内部用到了某个COM组件.然后立即去new这个程序的实例,会产生COM异常80040111,我想是因为Process.Kill后这个程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLZ16M.html" rel="bookmark" class="title">python使用urllib模块开发的多线程豆瓣小站mp3下载器&lowbar;python</a>
					<div>
						复制代码 代码如下: #! /usr/bin/python2.7# -- coding:utf-8 -- import os, urllib,urllib2, thread,threadingimpo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn1j8p.html" rel="bookmark" class="title">解析Oracle数据库中的对象集合schema&lowbar;java</a>
					<div>
						搭建一个oracle,下面会有很多schema,每个schema下的数据都不影响. 感觉和mysql的库的概念很像,现在用的数据库管理系统其实也是这么划分的,mysql用的ip+port+库标识,or ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvPooM.html" rel="bookmark" class="title">BBS用JSP怎么把页面动态接起来</a>
					<div>
						问题描述 数据库中已经建好表,页面也做好了,但都是静态的,可是不知道怎么让你跟他们编程动态的,找不到下手的地方,看了好多遍,还是不会,谁能帮帮我呢,顺便谁能提几点学习JSP的方法和思路 解决方案 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEBWmz.html" rel="bookmark" class="title">环信自动登录后，偶尔会进入被其他设备踢的回调是为什么</a>
					<div>
						问题描述 app启动后环信sdk自动登录,偶尔会在自动登录(进入didAutoLoginWithError且error为nil)后,进入didLoginFromOtherDevice回调这是为什么此过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0Ox8p.html" rel="bookmark" class="title">CEGUI 输入法窗口实现</a>
					<div>
						游戏中经常要输入汉字,但当我们游戏没有自己实现输入法窗口时,windows会使用用户安装的输入法,但这个输入法窗口只会显示在游戏窗口外头,而且当我们游戏全屏时(真全屏,不是那种窗口式的假全屏),屏幕上 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
